<template>
  <div id="index">
    <el-tabs type="border-card" v-model="active">
      <el-tab-pane v-for="(i, index) in tabs" :key="`tabs-${index}`" :label="i.label" :name="i.status" :lazy="true">
        <list :status="i.status"></list>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import list from './list.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'index',
  props: {},
  components: { list },
  data: function () {
    return {
      active: '2',
      tabs: [
        { label: '待审核', status: '2' },
        { label: '上传合同', status: '3' },
      ],
    };
  },
  created() {},
  methods: {},
  computed: {
    ...mapState(['user', 'menuParams']),
    pageTitle() {
      return `${this.$route.meta.title}`;
    },
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
};
</script>

<style lang="less" scoped></style>
